summaryrefslogtreecommitdiffstats
path: root/ci/build_rpm/daisy_rpm_build.sh
diff options
context:
space:
mode:
Diffstat (limited to 'ci/build_rpm/daisy_rpm_build.sh')
-rw-r--r--ci/build_rpm/daisy_rpm_build.sh48
1 files changed, 48 insertions, 0 deletions
diff --git a/ci/build_rpm/daisy_rpm_build.sh b/ci/build_rpm/daisy_rpm_build.sh
new file mode 100644
index 00000000..a9c24044
--- /dev/null
+++ b/ci/build_rpm/daisy_rpm_build.sh
@@ -0,0 +1,48 @@
+#!/bin/bash
+##############################################################################
+# Copyright (c) 2016 ZTE Coreporation and others.
+# hu.zhijiang@zte.com.cn
+# sun.jing22@zte.com.cn
+# All rights reserved. This program and the accompanying materials
+# are made available under the terms of the Apache License, Version 2.0
+# which accompanies this distribution, and is available at
+# http://www.apache.org/licenses/LICENSE-2.0
+##############################################################################
+output_dir = "$1"
+
+echo "#########################################################"
+echo " systemctl info: "
+echo "#########################################################"
+echo "###Uname:"
+uname
+echo "###Hostname:"
+hostname
+
+
+maxcount=3
+cnt=0
+rc=1
+while [ $cnt -lt $maxcount ] && [ $rc -ne 0 ]
+do
+ cnt=$[cnt + 1]
+ echo -e "\n\n\n*** Starting build attempt # $cnt"
+
+ mkdir daisy-dir
+ cd daisy-dir
+ git clone https://git.openstack.org/openstack/daisycloud-core
+ cd daisycloud-core/tools
+ make allrpm
+
+ echo "######################################################"
+ echo " done "
+ echo "######################################################"
+ rc=$?
+ if [ $rc -ne 0 ]; then
+ echo "### Build failed with rc $rc ###"
+ else
+ echo "### Build successful at attempt # $cnt"
+ fi
+done
+cd daisy-dir
+mv daisycloud-core/target/el7/noarch/installdaisy_el7_noarch.bin output_dir
+exit $rc